The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Concurrent PHP

Discussion in 'General Discussion' started by cPanelKenneth, Sep 14, 2007.

  1. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,458
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    5.2.4 changed some internals that cause problems with this Option in EA3. At this time, using PHP 5.2.4 in a concurrent PHP setup is not recommended if you rely upon any zend_extension. This includes extensions such as Zend Optimizer and ioncube. These setups cause errors like:

    Code:
    /usr/local/ioncube/ioncube_loader_lin_5.2_ts.so doesn't appear to be a valid Zend extension
    /usr/local/Zend/lib/ZendExtensionManager_TS.so doesn't appear to be a valid Zend extension
    

    Likewise, at this time, Suhosin is not compatible with a Concurrent PHP set. It is only built against PHP 4, but installed for use with PHP 5.

    We are currently working to address these issues.
     
  2. mtech-hosting

    mtech-hosting Well-Known Member

    Joined:
    Apr 30, 2006
    Messages:
    62
    Likes Received:
    0
    Trophy Points:
    6
    Good news, thanks for the info :)
     
  3. kudos

    kudos Member

    Joined:
    Sep 29, 2007
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    Is there any ETA on a fix to the ioncube compatibility issue?
     
  4. kudos

    kudos Member

    Joined:
    Sep 29, 2007
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    Bump!? ... Apparently this reply was too short ;)
     
Loading...

Share This Page